%define	major 2
%define libname %mklibname bnr %{major}
%define develname %mklibname bnr -d

Summary:	Bayesian Noise Reduction Library
Name:		libbnr
Version:	2.0.3
Release:	%mkrel 3
Group:		System/Libraries
License:	GPL
URL:		http://bnr.nuclearelephant.com/
Source0:	http://dspam.nuclearelephant.com/sources/%{name}-%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
libbnr is an implementation of the Bayesian Noise Reduction (BNR)
algorithm. All samples of text contain some degree of noise (data
which is either intentionally or unintentionally irrelevant to
accurate statistical analysis of the sample where removal of the
data would result in a cleaner analysis). The Bayesian noise
reduction algorithm provides a means of cleaner machine learning
by providing more useful data, which ultimately leads to better
sample analysis. With the noisy data removed from the sample, what
is left is only data relevant to the classification. libbnr can be
linked in with your classifier and called using the standard C
interface. 

%package -n	%{libname}
Summary:	Bayesian Noise Reduction Library
Group:          System/Libraries

%description -n	%{libname}
libbnr is an implementation of the Bayesian Noise Reduction (BNR)
algorithm. All samples of text contain some degree of noise (data
which is either intentionally or unintentionally irrelevant to
accurate statistical analysis of the sample where removal of the
data would result in a cleaner analysis). The Bayesian noise
reduction algorithm provides a means of cleaner machine learning
by providing more useful data, which ultimately leads to better
sample analysis. With the noisy data removed from the sample, what
is left is only data relevant to the classification. libbnr can be
linked in with your classifier and called using the standard C
interface. 

%package -n	%{develname}
Summary:	Development library and header files for the %{name} library
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{mklibname bnr 2 -d}

%description -n	%{develname}
libbnr is an implementation of the Bayesian Noise Reduction (BNR)
algorithm. All samples of text contain some degree of noise (data
which is either intentionally or unintentionally irrelevant to
accurate statistical analysis of the sample where removal of the
data would result in a cleaner analysis). The Bayesian noise
reduction algorithm provides a means of cleaner machine learning
by providing more useful data, which ultimately leads to better
sample analysis. With the noisy data removed from the sample, what
is left is only data relevant to the classification. libbnr can be
linked in with your classifier and called using the standard C
interface. 

This package contains development library and header files for the
%{name} library.

%prep

%setup -q -n %{name}-%{version}

%build
%configure2_5x

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

rm -rf %{buildroot}/usr/include/list.h
rm -rf %buildroot/%{_libdir}/*.la

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%doc README
%{_libdir}/*.so.*

%files -n %{develname}
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a



%changelog
* Sun May 14 2017 bb2 <bb2> - 2.0.3-3pclos2017
- rebuild for 2017

* Fri Mar 28 2008 Texstar <texstar@gmail.com> - 2.0.3-2pclos2007
- fix conflict with libmodprobe0-devel

